package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Admin;
import com.lightinit.hsdataportal.entity.User;
import com.lightinit.hsdataportal.model.ResultState;
import com.lightinit.hsdataportal.model.UserCompanyModel;
import com.lightinit.hsdataportal.model.UserPersonalModel;

public interface IUserVerifyService {
    UserPersonalModel getPersonalDetail(Long id);

    UserCompanyModel getCompanyDetail(Long id);

    User getUserBaseInforamtion(Long id);

    ResultState verifyPersonal(UserPersonalModel userPersonalModel);

    ResultState verifyCompany(UserCompanyModel userCompanyModel);

    ResultState changePassword(User user);

    UserPersonalModel getAdminBaseInforamtion(Long id);

    ResultState changeAdminPassword(Admin admin);

    Admin getAdmin(Long id);
}
